.. SPDX-License-Identifier: BSD-3-Clause

testbed\_model - Testbed Modelling Package
==========================================

.. automodule:: framework.testbed_model
   :members:
   :show-inheritance:

.. toctree::
   :hidden:
   :maxdepth: 2

   framework.testbed_model.traffic_generator

.. toctree::
   :hidden:
   :maxdepth: 1

   framework.testbed_model.os_session
   framework.testbed_model.linux_session
   framework.testbed_model.posix_session
   framework.testbed_model.node
   framework.testbed_model.sut_node
   framework.testbed_model.tg_node
   framework.testbed_model.capability
   framework.testbed_model.cpu
   framework.testbed_model.port
   framework.testbed_model.topology
   framework.testbed_model.virtual_device
